Rails.application.routes.draw do
  get '/logout', to: 'infinum_id/resources#destroy'

  devise_for InfinumId.resource_name.pluralize.underscore, controllers: {
    omniauth_callbacks: 'infinum_id/resources/omniauth_callbacks'
  }

  namespace :infinum_id do
    namespace :api do
      scope '/webhooks', controller: :webhooks do
        post :upsert_resource_callback
        post :update_resource_callback
      end
    end
  end
end
