class User < ApplicationRecord
  devise :omniauthable, omniauth_providers: [:infinum_id]

  validates :email, uniqueness: true

  def active_for_authentication?
    super && !deactivated_at
  end

  def as_json
    {
      email: email,
      first_name: first_name,
      last_name: last_name,
      slack_username: slack_username,
      employee: employee,
      time_zone: time_zone
    }
  end
end
